Skip to main content
`Ctrl`+`K`

# KSPFCGGetTruncationType

get the truncation strategy employed by `KSPFCG`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetTruncationType(KSP ksp, KSPFCDTruncationType *truncstrat)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- truncstrat - the strategy type

## See Also

KSP: Linear System Solvers, `KSPFCG`, `KSPFCGSetTruncationType()`, `KSPFCDTruncationType`, `KSP_FCD_TRUNC_TYPE_STANDARD`, `KSP_FCD_TRUNC_TYPE_NOTAY`

## Level

intermediate

## Location

src/ksp/ksp/impls/fcg/fcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages